class GameNotInDatabase(Exception):
    def __init__(self, game: str, channel: str):
        self.message = f"There is no {game} game in channel {channel}"
        super().__init__(self.message)

class InvalidInteraction(Exception):
    def __init__(self, custom_id: str, decoded: str):
        self.message = f"{custom_id = }, {decoded = }"
        super().__init__(self.message)
